Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597647 - pathmunge
Summary: pathmunge
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 23:57 UTC by Michael Andrews
Modified: 2010-06-14 17:19 UTC (History)
2 users (show)

Fixed In Version: ksh-20100309-6.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 598107 (view as bug list)
Environment:
Last Closed: 2010-06-14 17:08:17 UTC


Attachments (Terms of Use)
Corrected /etc/kshrc file (deleted)
2010-05-29 23:57 UTC, Michael Andrews
no flags Details

Description Michael Andrews 2010-05-29 23:57:53 UTC
Created attachment 417942 [details]
Corrected /etc/kshrc file

Description of problem:
When using ksh with ccache installed, the /etc/profile.d/ccache.sh script reports that pathmunge is not found.

Version-Release number of selected component (if applicable):
ksh-20100309-3.fc13.x86_64

How reproducible:


Steps to Reproduce:
1. Open terminal program (xterm)
2. at prompt type: /bin/ksh
  
Actual results:
/home/user/.kshrc[15]: .[29]: .[4]: pathmunge: not found [No such file or directory]


Expected results:
Silence

Additional info:
Can be fixed by modifying /etc/kshrc to more closely match /etc/zshrc.  In this case, define the pathmunge() function in /etc/kshrc and unset it at the end of the script.  See attachment for corrected /etc/kshrc

Comment 1 Ondrej Vasik 2010-05-31 10:49:10 UTC
Or better one - without grep ... https://bugzilla.redhat.com/show_bug.cgi?id=544652#c7 ... it is much faster.

Comment 2 Michal Hlavinka 2010-05-31 12:42:42 UTC
fixed in F12+

Comment 3 Fedora Update System 2010-05-31 13:03:43 UTC
ksh-20100309-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ksh-20100309-6.fc12

Comment 4 Fedora Update System 2010-05-31 13:03:48 UTC
ksh-20100309-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ksh-20100309-6.fc13

Comment 5 Fedora Update System 2010-06-01 18:13:29 UTC
ksh-20100309-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ksh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ksh-20100309-6.fc13

Comment 6 Fedora Update System 2010-06-01 18:19:45 UTC
ksh-20100309-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ksh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ksh-20100309-6.fc12

Comment 7 Fedora Update System 2010-06-14 17:08:13 UTC
ksh-20100309-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-14 17:19:07 UTC
ksh-20100309-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.